Skip to main content
DELETE
Delete Carrier Invoice Document

Authorizations

Authorization
string
header
required

Your API key, sent in the Authorization header: Authorization: YOUR_API_KEY. A Bearer prefix is also accepted (Authorization: Bearer YOUR_API_KEY). Keys are created in the Upwell dashboard (Account → API keys) and are scoped to one organization.

Path Parameters

id
string
required

"carrierInvoiceId" is required (enter it either in parameters or request body)

carrierInvoiceId
string
required

"id" is required (enter it either in parameters or request body)

Body

application/json

Query parameters can also be provided in the request body as a JSON object

carrierInvoiceId
string

Upwell identifier of the associated carrier invoice. Use an ID returned by the API.

id
string

Upwell identifier for this record. Store it to retrieve or update the record.

Response

Responses for DELETE /api/rest/carrier_invoices/{carrierInvoiceId}/documents/{id}

deleteFileAssociations
FileAssociationsMutationResponse · object | null

response of any mutation on the table "file_associations"